|  | Home | Documentation | value Struct Reference updated by Robert van Engelen |

Public Types | Public Member Functions | Public Attributes | List of all members
value Struct Reference

`#include <xml-rpc.h>`

## Public Types

typedef value_iterator | iterator
typedef value_const_iterator | const_iterator

## Public Member Functions

| value ()
| value (const struct value &)
| value (struct soap *)
| value (struct soap *, extern bool)
| value (struct soap *, _i4)
| value (struct soap *, _int)
| value (struct soap *, _double)
| value (struct soap *, const char *)
| value (struct soap *, const std::string &)
| value (struct soap *, const wchar_t *)
| value (struct soap *, const std::wstring &)
| value (struct soap *, ULONG64)
| value (struct soap *, const struct _array &)
| value (struct soap *, const struct _struct &)
| value (struct soap *, const struct _base64 &)
| value (struct soap *, const struct _rawdata &)
| operator extern bool () const
| operator _i4 () const
| operator _int () const
| operator _double () const
| operator char * () const
| operator std::string () const
| operator wchar_t * () const
| operator std::wstring () const
| operator ULONG64 () const
| operator struct _array & ()
| operator const struct _array & () const
| operator struct _struct & ()
| operator const struct _struct & () const
| operator struct _base64 & ()
| operator const struct _base64 & () const
| operator struct _rawdata & ()
| operator const struct _rawdata & () const
struct value & | operator[] (int)
| array/struct index (negative to get from end)
struct value & | operator[] (const char *)
| struct access
struct value & | operator[] (const std::string &)
| struct access
struct value & | operator[] (const wchar_t *)
| struct access
struct value & | operator[] (const std::wstring &)
| struct access
const struct value & | operator[] (int) const
| array/struct index (negative to get from end)
const struct value & | operator[] (const char *) const
| struct access
const struct value & | operator[] (const std::string &) const
| struct access
const struct value & | operator[] (const wchar_t *) const
| struct access
const struct value & | operator[] (const std::wstring &) const
| struct access
bool | operator= (extern bool)
_i4 | operator= (_i4)
_int | operator= (_int)
_double | operator= (_double)
ULONG64 | operator= (ULONG64)
const char * | operator= (const char *)
char * | operator= (char *)
char * | operator= (const std::string &)
const char * | operator= (const wchar_t *)
char * | operator= (wchar_t *)
char * | operator= (const std::wstring &)
struct _array & | operator= (const struct _array &)
struct _struct & | operator= (const struct _struct &)
struct _base64 & | operator= (const struct _base64 &)
struct _rawdata & | operator= (const struct _rawdata &)
struct value & | operator= (const struct value &)
void | clear ()
| clear value to unassigned
void | size (int)
| set/allocate size of array
int | size () const
| returns array/struct size or 0
bool | empty () const
| true if empty array or struct
int | nth (int) const
| returns nth index if index is in bounds, < 0 otherwise
int | nth (const char *) const
| returns nth index of name in struct, < 0 otherwise
int | nth (const wchar_t *) const
| returns nth index of name in struct, < 0 otherwise
bool | has (int) const
| true if array index is in bounds
bool | has (const char *) const
| true if struct has name as a key
bool | has (const wchar_t *) const
| true if struct has name as a key
bool | is_null () const
| true if value is not set (JSON null)
bool | is_bool () const
| true if value is Boolean type
bool | is_false () const
| true if value is Boolean false
bool | is_true () const
| true if value is Boolean true
bool | is_int () const
| true if value is int type
bool | is_double () const
| true if value is double type
bool | is_number () const
| true if value is a number (int or float)
bool | is_string () const
| true if value is string type
bool | is_dateTime () const
| true if value is dateTime
bool | is_array () const
| true if value is array type
bool | is_struct () const
| true if value is struct type
bool | is_base64 () const
| true if value is base64 type
bool | is_rawdata () const
| true if value is rawdata
value_iterator | begin ()
| value iterator begin
value_iterator | end ()
| value iterator end

## Public Attributes

int | __type
| optional SOAP_TYPE_X, where X is a type name
void * | ref
| ref to data
_string | __any
| <value> string content in XML-RPC (not JSON), if any
struct soap * | soap
| ref to soap struct that manages this type

## Detailed Description

Represents the <value> container element The <value> element contains either string data stored in __any or an other type of data stored in a subelement. In case of a subelement, the __type member indicates the type of data pointed to by the ref member. For example, when __type = SOAP_TYPE__int then the ref points to a LONG64, when __type = SOAP_TYPE__string (char*)ref is a string.

## Member Typedef Documentation

## ◆ const_iterator

typedef value_const_iterator value::const_iterator

## ◆ iterator

typedef value_iterator value::iterator

## Constructor & Destructor Documentation

## ◆ value() [1/16]

value::value | ( |  | ) |

## ◆ value() [2/16]

value::value | ( | const struct value & |  | ) |

## ◆ value() [3/16]

value::value | ( | struct soap * |  | ) |

## ◆ value() [4/16]

value::value | ( | struct soap * | ,
|  | extern bool | )

## ◆ value() [5/16]

value::value | ( | struct soap * | ,
|  | _i4 | )

## ◆ value() [6/16]

value::value | ( | struct soap * | ,
|  | _int | )

## ◆ value() [7/16]

value::value | ( | struct soap * | ,
|  | _double | )

## ◆ value() [8/16]

value::value | ( | struct soap * | ,
|  | const char * | )

## ◆ value() [9/16]

value::value | ( | struct soap * | ,
|  | const std::string & | )

## ◆ value() [10/16]

value::value | ( | struct soap * | ,
|  | const wchar_t * | )

## ◆ value() [11/16]

value::value | ( | struct soap * | ,
|  | const std::wstring & | )

## ◆ value() [12/16]

value::value | ( | struct soap * | ,
|  | ULONG64 | )

## ◆ value() [13/16]

value::value | ( | struct soap * | ,
|  | const struct _array & | )

## ◆ value() [14/16]

value::value | ( | struct soap * | ,
|  | const struct _struct & | )

## ◆ value() [15/16]

value::value | ( | struct soap * | ,
|  | const struct _base64 & | )

## ◆ value() [16/16]

value::value | ( | struct soap * | ,
|  | const struct _rawdata & | )

## Member Function Documentation

## ◆ begin()

value_iterator value::begin | ( |  | ) |

value iterator begin

## ◆ clear()

void value::clear | ( |  | ) |

clear value to unassigned

## ◆ empty()

bool value::empty | ( |  | ) | const

true if empty array or struct

## ◆ end()

value_iterator value::end | ( |  | ) |

value iterator end

## ◆ has() [1/3]

bool value::has | ( | const char * |  | ) | const

true if struct has name as a key

## ◆ has() [2/3]

bool value::has | ( | const wchar_t * |  | ) | const

true if struct has name as a key

## ◆ has() [3/3]

bool value::has | ( | int |  | ) | const

true if array index is in bounds

## ◆ is_array()

bool value::is_array | ( |  | ) | const

true if value is array type

## ◆ is_base64()

bool value::is_base64 | ( |  | ) | const

true if value is base64 type

## ◆ is_bool()

bool value::is_bool | ( |  | ) | const

true if value is Boolean type

## ◆ is_dateTime()

bool value::is_dateTime | ( |  | ) | const

true if value is dateTime

## ◆ is_double()

bool value::is_double | ( |  | ) | const

true if value is double type

## ◆ is_false()

bool value::is_false | ( |  | ) | const

true if value is Boolean false

## ◆ is_int()

bool value::is_int | ( |  | ) | const

true if value is int type

## ◆ is_null()

bool value::is_null | ( |  | ) | const

true if value is not set (JSON null)

## ◆ is_number()

bool value::is_number | ( |  | ) | const

true if value is a number (int or float)

## ◆ is_rawdata()

bool value::is_rawdata | ( |  | ) | const

true if value is rawdata

## ◆ is_string()

bool value::is_string | ( |  | ) | const

true if value is string type

## ◆ is_struct()

bool value::is_struct | ( |  | ) | const

true if value is struct type

## ◆ is_true()

bool value::is_true | ( |  | ) | const

true if value is Boolean true

## ◆ nth() [1/3]

int value::nth | ( | const char * |  | ) | const

returns nth index of name in struct, < 0 otherwise

## ◆ nth() [2/3]

int value::nth | ( | const wchar_t * |  | ) | const

returns nth index of name in struct, < 0 otherwise

## ◆ nth() [3/3]

int value::nth | ( | int |  | ) | const

returns nth index if index is in bounds, < 0 otherwise

## ◆ operator _double()

value::operator _double | ( |  | ) | const

## ◆ operator _i4()

value::operator _i4 | ( |  | ) | const

## ◆ operator _int()

value::operator _int | ( |  | ) | const

## ◆ operator char *()

value::operator char * | ( |  | ) | const

## ◆ operator const struct _array &()

value::operator const struct _array & | ( |  | ) | const

## ◆ operator const struct _base64 &()

value::operator const struct _base64 & | ( |  | ) | const

## ◆ operator const struct _rawdata &()

value::operator const struct _rawdata & | ( |  | ) | const

## ◆ operator const struct _struct &()

value::operator const struct _struct & | ( |  | ) | const

## ◆ operator extern bool()

value::operator extern bool | ( |  | ) | const

## ◆ operator std::string()

value::operator std::string | ( |  | ) | const

## ◆ operator std::wstring()

value::operator std::wstring | ( |  | ) | const

## ◆ operator struct _array &()

value::operator struct _array & | ( |  | ) |

## ◆ operator struct _base64 &()

value::operator struct _base64 & | ( |  | ) |

## ◆ operator struct _rawdata &()

value::operator struct _rawdata & | ( |  | ) |

## ◆ operator struct _struct &()

value::operator struct _struct & | ( |  | ) |

## ◆ operator ULONG64()

value::operator ULONG64 | ( |  | ) | const

## ◆ operator wchar_t *()

value::operator wchar_t * | ( |  | ) | const

## ◆ operator=() [1/16]

_double value::operator= | ( | _double |  | ) |

## ◆ operator=() [2/16]

_i4 value::operator= | ( | _i4 |  | ) |

## ◆ operator=() [3/16]

_int value::operator= | ( | _int |  | ) |

## ◆ operator=() [4/16]

char * value::operator= | ( | char * |  | ) |

## ◆ operator=() [5/16]

const char * value::operator= | ( | const char * |  | ) |

## ◆ operator=() [6/16]

char * value::operator= | ( | const std::string & |  | ) |

## ◆ operator=() [7/16]

char * value::operator= | ( | const std::wstring & |  | ) |

## ◆ operator=() [8/16]

struct _array & value::operator= | ( | const struct _array & |  | ) |

## ◆ operator=() [9/16]

struct _base64 & value::operator= | ( | const struct _base64 & |  | ) |

## ◆ operator=() [10/16]

struct _rawdata & value::operator= | ( | const struct _rawdata & |  | ) |

## ◆ operator=() [11/16]

struct _struct & value::operator= | ( | const struct _struct & |  | ) |

## ◆ operator=() [12/16]

struct value & value::operator= | ( | const struct value & |  | ) |

## ◆ operator=() [13/16]

const char * value::operator= | ( | const wchar_t * |  | ) |

## ◆ operator=() [14/16]

bool value::operator= | ( | extern bool |  | ) |

## ◆ operator=() [15/16]

ULONG64 value::operator= | ( | ULONG64 |  | ) |

## ◆ operator=() [16/16]

char * value::operator= | ( | wchar_t * |  | ) |

## ◆ operator[]() [1/10]

struct value & value::operator[] | ( | const char * |  | ) |

struct access

## ◆ operator[]() [2/10]

const struct value & value::operator[] | ( | const char * |  | ) | const

struct access

## ◆ operator[]() [3/10]

struct value & value::operator[] | ( | const std::string & |  | ) |

struct access

## ◆ operator[]() [4/10]

const struct value & value::operator[] | ( | const std::string & |  | ) | const

struct access

## ◆ operator[]() [5/10]

struct value & value::operator[] | ( | const std::wstring & |  | ) |

struct access

## ◆ operator[]() [6/10]

const struct value & value::operator[] | ( | const std::wstring & |  | ) | const

struct access

## ◆ operator[]() [7/10]

struct value & value::operator[] | ( | const wchar_t * |  | ) |

struct access

## ◆ operator[]() [8/10]

const struct value & value::operator[] | ( | const wchar_t * |  | ) | const

struct access

## ◆ operator[]() [9/10]

struct value & value::operator[] | ( | int |  | ) |

array/struct index (negative to get from end)

## ◆ operator[]() [10/10]

const struct value & value::operator[] | ( | int |  | ) | const

array/struct index (negative to get from end)

## ◆ size() [1/2]

int value::size | ( |  | ) | const

returns array/struct size or 0

## ◆ size() [2/2]

void value::size | ( | int |  | ) |

set/allocate size of array

## Member Data Documentation

## ◆ __any

_string value::__any

<value> string content in XML-RPC (not JSON), if any

## ◆ __type

int value::__type

optional SOAP_TYPE_X, where X is a type name

## ◆ ref

void* value::ref

ref to data

## ◆ soap

struct soap* value::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h